/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.se.validation.util;

import java.io.InputStream;
import java.io.Reader;

import org.w3c.dom.ls.LSInput;

/**
 * @author Adrien Louis - EBM WebSourcing
 */
public class LSInputImpl implements LSInput {

	private String baseURI;
	private InputStream byteStream;

	private boolean certifiedText = false;
	private Reader characterStream;

	private String encoding;
	private String publicId;
	private String stringData;
	private String systemId;


	/**
	 * @return the baseURI
	 */
	public String getBaseURI() {
		return this.baseURI;
	}

	/**
	 * @param baseURI the baseURI to set
	 */
	public void setBaseURI( String baseURI ) {
		this.baseURI = baseURI;
	}

	/**
	 * @return the byteStream
	 */
	public InputStream getByteStream() {
		return this.byteStream;
	}

	/**
	 * @param byteStream the byteStream to set
	 */
	public void setByteStream( InputStream byteStream ) {
		this.byteStream = byteStream;
	}

	/**
	 * @return the certifiedText
	 */
	public boolean isCertifiedText() {
		return this.certifiedText;
	}

	/**
	 * @param certifiedText the certifiedText to set
	 */
	public void setCertifiedText( boolean certifiedText ) {
		this.certifiedText = certifiedText;
	}

	/**
	 * @return the characterStream
	 */
	public Reader getCharacterStream() {
		return this.characterStream;
	}

	/**
	 * @param characterStream the characterStream to set
	 */
	public void setCharacterStream( Reader characterStream ) {
		this.characterStream = characterStream;
	}

	/**
	 * @return the encoding
	 */
	public String getEncoding() {
		return this.encoding;
	}

	/**
	 * @param encoding the encoding to set
	 */
	public void setEncoding( String encoding ) {
		this.encoding = encoding;
	}

	/**
	 * @return the publicId
	 */
	public String getPublicId() {
		return this.publicId;
	}

	/**
	 * @param publicId the publicId to set
	 */
	public void setPublicId( String publicId ) {
		this.publicId = publicId;
	}

	/**
	 * @return the stringData
	 */
	public String getStringData() {
		return this.stringData;
	}

	/**
	 * @param stringData the stringData to set
	 */
	public void setStringData( String stringData ) {
		this.stringData = stringData;
	}

	/**
	 * @return the systemId
	 */
	public String getSystemId() {
		return this.systemId;
	}

	/**
	 * @param systemId the systemId to set
	 */
	public void setSystemId( String systemId ) {
		this.systemId = systemId;
	}

	/**
	 * @return the certified text
	 */
	public boolean getCertifiedText() {
		return this.certifiedText;
	}
}
